<html>
<head>
	<title>Processos GIT</title>
</head>
<body>

<h2>Clonando e alterando um Repositório Existente</h2>

<p>
	Para clonar (copiar) um repositório Git já existente, utiliza-se o comando: <i>git clone [url]</i>.
</p>

<p><b>Exemplo:</b></p>
<p><i>git clone git://github.com/schacon/grit.git</i></p>
Isso cria um diretório chamado <i>grit</i>, inicializa um diretório <i>.gitdentro</i> deste, obtém todos os dados do repositório e verifica a cópia atual da última versão. Se você entrar no novo diretório grit, você verá todos os arquivos do projeto nele, pronto para serem editados ou utilizados.
</p></br>

<p>
Para clonar um repositório em um diretório diferente (continuando com o exemplo do grit), é possível especificar esse diretório utilizando a opção abaixo:
<p><i>git clone git://github.com/schacon/grit.git mygrit</i></p>
Este comando faz exatamente a mesma coisa que o anterior, mas o diretório alvo será chamado de <i>mygrit</i>.
</P>

<h2>Gravando Alterações no Repositório</h2>

<p>
	Para enviar estas alterações ao seu repositório remoto, execute: <i>git push origin master</i></br>
	Altere <i>master</i> para qualquer ramo (branch) desejado, enviando suas alterações para ele.
</p></br>

<p>
<H7>Fonte: https://git-scm.com/book/pt-br/v1/Git-Essencial-Obtendo-um-Reposit%C3%B3rio-Git</H7>
</p>
</body>
</html>

